My personal project and infrastructure archive
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
 
nomicon/pkgs/development/tools/poetry2nix/update

32 lines
831 B

#!/usr/bin/env bash
set -euo pipefail
pwd=$(pwd)
workdir=$(mktemp -d)
function cleanup {
cd "$pwd"
rm -rf $workdir
}
trap cleanup EXIT
cd "$workdir"
curl -L -s https://github.com/nix-community/poetry2nix/archive/master.tar.gz | tar -xz
mv poetry2nix-master/* .
mkdir build
cp *.* build/
cp -r overrides pkgs hooks bin build/
rm build/shell.nix build/generate.py build/overlay.nix build/flake.* build/check-fmt.nix build/pkgs/poetry/update*
cat > build/README.md << EOF
Dont change these files here, they are maintained at https://github.com/nix-community/poetry2nix
The update procedure is as-follows:
1. Send your change to the upstream poetry2nix repository
2. Get it approved with tests passing
3. Run the update script in pkgs/development/tools/poetry2nix
EOF
rm -rf "$pwd/poetry2nix"
mv build "$pwd/poetry2nix"